Create Sharepoint Datasource
curl --request POST \
--url https://api.neuralfactory.ai/datasources/sharepoint/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"knowledgebase_id": "<string>",
"credentials": {
"client_id": "<string>",
"client_secret": "<string>",
"tenant_id": "<string>",
"site_url": "<string>",
"drive_name": "Documents",
"folder_paths": [
"<string>"
]
},
"description": "<string>",
"sync_enabled": true,
"sync_interval": 123,
"cron_expression": "<string>",
"sync_config": {}
}
'import requests
url = "https://api.neuralfactory.ai/datasources/sharepoint/create"
payload = {
"name": "<string>",
"knowledgebase_id": "<string>",
"credentials": {
"client_id": "<string>",
"client_secret": "<string>",
"tenant_id": "<string>",
"site_url": "<string>",
"drive_name": "Documents",
"folder_paths": ["<string>"]
},
"description": "<string>",
"sync_enabled": True,
"sync_interval": 123,
"cron_expression": "<string>",
"sync_config": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
knowledgebase_id: '<string>',
credentials: {
client_id: '<string>',
client_secret: '<string>',
tenant_id: '<string>',
site_url: '<string>',
drive_name: 'Documents',
folder_paths: ['<string>']
},
description: '<string>',
sync_enabled: true,
sync_interval: 123,
cron_expression: '<string>',
sync_config: {}
})
};
fetch('https://api.neuralfactory.ai/datasources/sharepoint/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.neuralfactory.ai/datasources/sharepoint/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'knowledgebase_id' => '<string>',
'credentials' => [
'client_id' => '<string>',
'client_secret' => '<string>',
'tenant_id' => '<string>',
'site_url' => '<string>',
'drive_name' => 'Documents',
'folder_paths' => [
'<string>'
]
],
'description' => '<string>',
'sync_enabled' => true,
'sync_interval' => 123,
'cron_expression' => '<string>',
'sync_config' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.neuralfactory.ai/datasources/sharepoint/create"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"knowledgebase_id\": \"<string>\",\n \"credentials\": {\n \"client_id\": \"<string>\",\n \"client_secret\": \"<string>\",\n \"tenant_id\": \"<string>\",\n \"site_url\": \"<string>\",\n \"drive_name\": \"Documents\",\n \"folder_paths\": [\n \"<string>\"\n ]\n },\n \"description\": \"<string>\",\n \"sync_enabled\": true,\n \"sync_interval\": 123,\n \"cron_expression\": \"<string>\",\n \"sync_config\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.neuralfactory.ai/datasources/sharepoint/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"knowledgebase_id\": \"<string>\",\n \"credentials\": {\n \"client_id\": \"<string>\",\n \"client_secret\": \"<string>\",\n \"tenant_id\": \"<string>\",\n \"site_url\": \"<string>\",\n \"drive_name\": \"Documents\",\n \"folder_paths\": [\n \"<string>\"\n ]\n },\n \"description\": \"<string>\",\n \"sync_enabled\": true,\n \"sync_interval\": 123,\n \"cron_expression\": \"<string>\",\n \"sync_config\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.neuralfactory.ai/datasources/sharepoint/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"knowledgebase_id\": \"<string>\",\n \"credentials\": {\n \"client_id\": \"<string>\",\n \"client_secret\": \"<string>\",\n \"tenant_id\": \"<string>\",\n \"site_url\": \"<string>\",\n \"drive_name\": \"Documents\",\n \"folder_paths\": [\n \"<string>\"\n ]\n },\n \"description\": \"<string>\",\n \"sync_enabled\": true,\n \"sync_interval\": 123,\n \"cron_expression\": \"<string>\",\n \"sync_config\": {}\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Knowledge bases
Create Sharepoint Datasource
API key permission: Knowledge Base (Admin also opens it).
POST
/
datasources
/
sharepoint
/
create
Create Sharepoint Datasource
curl --request POST \
--url https://api.neuralfactory.ai/datasources/sharepoint/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"knowledgebase_id": "<string>",
"credentials": {
"client_id": "<string>",
"client_secret": "<string>",
"tenant_id": "<string>",
"site_url": "<string>",
"drive_name": "Documents",
"folder_paths": [
"<string>"
]
},
"description": "<string>",
"sync_enabled": true,
"sync_interval": 123,
"cron_expression": "<string>",
"sync_config": {}
}
'import requests
url = "https://api.neuralfactory.ai/datasources/sharepoint/create"
payload = {
"name": "<string>",
"knowledgebase_id": "<string>",
"credentials": {
"client_id": "<string>",
"client_secret": "<string>",
"tenant_id": "<string>",
"site_url": "<string>",
"drive_name": "Documents",
"folder_paths": ["<string>"]
},
"description": "<string>",
"sync_enabled": True,
"sync_interval": 123,
"cron_expression": "<string>",
"sync_config": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
knowledgebase_id: '<string>',
credentials: {
client_id: '<string>',
client_secret: '<string>',
tenant_id: '<string>',
site_url: '<string>',
drive_name: 'Documents',
folder_paths: ['<string>']
},
description: '<string>',
sync_enabled: true,
sync_interval: 123,
cron_expression: '<string>',
sync_config: {}
})
};
fetch('https://api.neuralfactory.ai/datasources/sharepoint/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.neuralfactory.ai/datasources/sharepoint/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'knowledgebase_id' => '<string>',
'credentials' => [
'client_id' => '<string>',
'client_secret' => '<string>',
'tenant_id' => '<string>',
'site_url' => '<string>',
'drive_name' => 'Documents',
'folder_paths' => [
'<string>'
]
],
'description' => '<string>',
'sync_enabled' => true,
'sync_interval' => 123,
'cron_expression' => '<string>',
'sync_config' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.neuralfactory.ai/datasources/sharepoint/create"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"knowledgebase_id\": \"<string>\",\n \"credentials\": {\n \"client_id\": \"<string>\",\n \"client_secret\": \"<string>\",\n \"tenant_id\": \"<string>\",\n \"site_url\": \"<string>\",\n \"drive_name\": \"Documents\",\n \"folder_paths\": [\n \"<string>\"\n ]\n },\n \"description\": \"<string>\",\n \"sync_enabled\": true,\n \"sync_interval\": 123,\n \"cron_expression\": \"<string>\",\n \"sync_config\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.neuralfactory.ai/datasources/sharepoint/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"knowledgebase_id\": \"<string>\",\n \"credentials\": {\n \"client_id\": \"<string>\",\n \"client_secret\": \"<string>\",\n \"tenant_id\": \"<string>\",\n \"site_url\": \"<string>\",\n \"drive_name\": \"Documents\",\n \"folder_paths\": [\n \"<string>\"\n ]\n },\n \"description\": \"<string>\",\n \"sync_enabled\": true,\n \"sync_interval\": 123,\n \"cron_expression\": \"<string>\",\n \"sync_config\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.neuralfactory.ai/datasources/sharepoint/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"knowledgebase_id\": \"<string>\",\n \"credentials\": {\n \"client_id\": \"<string>\",\n \"client_secret\": \"<string>\",\n \"tenant_id\": \"<string>\",\n \"site_url\": \"<string>\",\n \"drive_name\": \"Documents\",\n \"folder_paths\": [\n \"<string>\"\n ]\n },\n \"description\": \"<string>\",\n \"sync_enabled\": true,\n \"sync_interval\": 123,\n \"cron_expression\": \"<string>\",\n \"sync_config\": {}\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Body
application/json
Response
Successful Response